public class MoveC implements Move {
    
    private int score;
    private int row;
    private int column;

    public MoveC(int row, int column, Counter counter) { 
        this.column = column; 
        this.row = row;
        this.score = counter.nextInt();
    }

    // Getters
    //
    public int getScore() { return this.score; }
    public int getRow() { return this.row; }
    public int getCol() { return this.column; }

    // Setters
    //
    public void setScore(int score) { this.score = score; }
    public void setRow(int row) { this.row = row; }
    public void setColumn(int column) { this.column = column; }
    
    public int compareTo(Move other) {
        return this.getScore() - other.getScore();
    }
    
    public String toString() { 
        return "[(row = " + row + ", col = " + column + "), score = " + this.score + "]";
    }
}